Chinaunix首页 | 论坛 | 博客
  • 博客访问: 1575678
  • 博文数量: 410
  • 博客积分: 9563
  • 博客等级: 中将
  • 技术积分: 4517
  • 用 户 组: 普通用户
  • 注册时间: 2010-07-03 19:59
个人简介

文章分类

全部博文(410)

文章存档

2017年(6)

2016年(1)

2015年(3)

2014年(4)

2013年(32)

2012年(45)

2011年(179)

2010年(140)

分类: LINUX

2013-05-08 11:03:31

      最近在看django的书,可是都是1.0版本的,最新的1.5在目录结构有一点小变化,每次实验代码总是磕磕绊绊地,于是删除了新版本的django,安装旧版本1.0.4。

方法一

pip install git+

方法二

      在 下载 1.0.4.tar.gz 压缩包

tar zxvf Django-1.0.4.tar.gz
cd Django-1.0.4
sudo python setup.py install

解决ipthon 兼容问题

      ipython 在0.11版本改了调用接口,老版本的django需要使用 ipython 0.10版本

sudo pip uninstall ipython

sudo pip install ipython==0.10

删除 setup.py 安装的软件

      如果通过 python setup.py install命令安装的软件,没有 uninstall的功能。如果要删除的话,步骤是:

  1. 增加 –record 参数重新安装软件包,执行命令:

    $sudo su

    #python ./setup.py install --record install.txt
    
  2. 删除安装文件,执行命令:

    #cat install.txt | xargs rm -rf

阅读(1842) | 评论(0) | 转发(0) |
给主人留下些什么吧!~~